@font-face {
    font-family: 'Open Sans';
    src: url('../fonts/OpenSans-Bold.ttf') format('truetype');
    font-weight: bold;
    font-style: normal;
}

@font-face {
    font-family: 'Open Sans';
    src: url('../fonts/OpenSans-Light.ttf') format('truetype');
    font-weight: 300;
    font-style: normal;
}

@font-face {
    font-family: 'Open Sans';
    src: url('../fonts/OpenSans-Regular.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: 'Open Sans', Arial, sans-serif;
    line-height: 1.5;
    color: #333;
}

/* Десктопная версия хедера (по умолчанию) */
.header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 106px;
    background-color: #00B7EC;
    z-index: 1000;
    display: flex;
    justify-content: center;
}

.header__container {
    width: 1280px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 10px;
}

.header__logo {
    margin-top: 13px;
}

.header__nav {
    flex-grow: 1;
}

.header__menu {
    display: flex;
    justify-content: center;
    list-style: none;
    gap: 40px;
    
}

.header__menu-link {
    color: #FFFFFF;
    text-decoration: none;
    font-size: 18px;
    font-weight: normal;
    margin-top: 42px;
    display: inline-block;
    transition: color 0.3s;
    margin-top: -30px;
}

.header__menu-link:hover {
    color: #E6E6E6;
}

.header__button {
    width: 255px;
    height: 40px;
    background-color: #FFFFFF;
    border-radius: 5px;
    border: 1px solid #00B7EC;
    color: #00B7EC;
    font-size: 18px;
    font-weight: normal;
    cursor: pointer;
    transition: background-color 0.3s, color 0.3s;
}

.header__button:hover {
    background-color: #F0F0F0;
}

.header__mobile-icons {
    display: none; /* Скрываем в десктопной версии */

}

.main {
    margin-top: 106px;
}

/* Планшетная версия (769px-1024px) */
@media (min-width: 769px) and (max-width: 1024px) {
    .header__container {
        width: 100%;
        padding: 0 20px;
    }

    .header__menu {
        gap: 20px;
    }

    .header__button {
        width: 200px;
    }
    .header__menu-link{
        font-size: 12px;

    }
    .header__button{
        font-size: 12px;
    }
}


/* Мобильная версия (до 768px) */
@media (max-width: 768px) {
    .header {
        height: 101px;
        background-color: #FFFFFF;
        box-shadow: 0 4px 4px rgba(0, 0, 0, 0.25);
    }

    .header__container {
        width: 100%;
        padding: 0 10px;
    }

    .header__logo {
        margin-top: 0;
        position: absolute;
        left: 50%;
        transform: translateX(-50%);
    }

    .header__nav,
    .header__button {
        display: none;
    }

    .header__mobile-icons {
        display: flex;
        align-items: center;
        width: 100%;
        justify-content: space-between;
    }

    .main {
        margin-top: 101px;
    }
}
